Subject: bug#44723: Latest binary tarball & Hurd qcow2 image unavailable (502)

From: Ludovic Courtès <[email-masked]>
Date: Thu, 19 Nov 2020 09:05:30 +0100

Hi,

zimoun <[email-masked]> skribis:

> On Wed, 18 Nov 2020 at 18:46, Ludovic Courtès <[email-masked]> wrote:
>
>> I guess it’s OK for Guix System ISO images because a fresh one gets
>> built at each evaluation, roughly, but perhaps the Hurd images are not
>> rebuilt frequently enough and the changes that they’re GC’d are higher.
>>
>> I don’t have a good solution for that, we’re consuming storage space too
>> quickly with all these images currently.  :-/
>
> Does it make sense to only keep the latest?  And GC all the older one
> except the stable one (pinned).

We could change ‘cleanup-cuirass-roots’ (the mcron job I showed) to keep
at least one ‘hurd-barebones.qcow2’ root.  Help welcome!

Ludo’.